package org.j69.eewiki.wiki.tag;

import org.j69.eewiki.wiki.transformer.DataTag;

import org.apache.oro.text.perl.Perl5Util;

/**
 * Bold Data Tag
 * @author <a href="mailto:agata@mobster.jp">Toshitaka Agata</a>
 * @version $Revision: 1.3 $ $Date: 2003/06/30 17:07:44 $
 */
public class BoldDataTag implements DataTag {
    /**
     * @see jp.mobster.webapp.wiki.transform.DataTag#get()
     */
    public String get(String pageData) {
        Perl5Util perl = new Perl5Util();
        return perl.substitute("s!''([^']*)''!<b>$1</b>!g", pageData);
    }

}
